-- BIGHYUN620."USER" definition

CREATE TABLE "USER" 
   (	 "USER_NO" NUMBER(38,0) NOT NULL ENABLE, 
	"USER_ID" VARCHAR2(100) NOT NULL ENABLE,
	"USER_PW" VARCHAR2(200) NOT NULL ENABLE, 
	"NAME" VARCHAR2(100) NOT NULL ENABLE, 
	"EMAIL" VARCHAR2(100) DEFAULT NULL, 
	"REG_DATE" TIMESTAMP (6) DEFAULT current_timestamp, 
	"UPD_DATE" TIMESTAMP (6) DEFAULT current_timestamp, 
	"ENABLED" NUMBER(38,0) DEFAULT 1, 
	 CONSTRAINT "USER_PK" PRIMARY KEY ("USER_NO")
   ) ;

CREATE SEQUENCE user_no_seq
START WITH 1
INCREMENT BY 1
NOMAXVALUE
NOCYCLE;

CREATE OR REPLACE TRIGGER trg_user_no
BEFORE INSERT ON "USER"
FOR EACH ROW
BEGIN
  IF :NEW."USER_NO" IS NULL THEN
    SELECT user_no_seq.NEXTVAL
    INTO :NEW."USER_NO"
    FROM dual;
  END IF;
END;

ALTER TRIGGER "TRG_BEFORE_INSERT_USER" ENABLE;