CREATE TABLE "USER_AUTH"(
    auth_no int NOT NULL,                           -- 권한 번호
    user_id varchar(100) NOT NULL,                  -- 아이디
    auth varchar(100) NOT NULL,                     -- 권한 (ROLE_USER, ROLE_ADMIN, ...)
    PRIMARY KEY(auth_no)
);

CREATE SEQUENCE user_auth_no_seq
START WITH 1
INCREMENT BY 1
NOMAXVALUE
NOCYCLE;

CREATE OR REPLACE TRIGGER trg_user_auth_no
BEFORE INSERT ON "BIGHYUN620"."USER_AUTH"
FOR EACH ROW
BEGIN
  IF :NEW."USER_AUTH_NO" IS NULL THEN
    SELECT user_auth_no_seq.NEXTVAL
    INTO :NEW."USER_AUTH_NO"
    FROM dual;
  END IF;
END;