package com.board.spring_security.controller;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import com.board.spring_security.service.FileService;

import jakarta.servlet.http.HttpServletResponse;
import lombok.extern.slf4j.Slf4j;




@Slf4j
@Controller
@RequestMapping("/file")
public class FileController {

    @Autowired
    private FileService fileservice;

    @GetMapping("/{fileNo}")
    public void fileDownload(@PathVariable ("fileNo") long fileNo, 
    HttpServletResponse response ) throws Exception {
        long result = fileservice.download(fileNo, response);

        if (result == 0) {
            response.setStatus(HttpServletResponse.SC_BAD_REQUEST);
        }
     }

    @PostMapping("/delete")
    public ResponseEntity<String> deleteFile(@RequestParam("fileNo") long fileNo) throws Exception {
        log.info("[DELETE] - /file/delete");
        if (fileNo == 0) {
            return new ResponseEntity<>("FAIL", HttpStatus.BAD_REQUEST);
        }

        long result = fileservice.delete(fileNo);

        if (result == 0) {
            return new ResponseEntity<>("FAIL", HttpStatus.OK);
        }

        return new ResponseEntity<>("SUCCESS", HttpStatus.OK);

    }
    
}
