package com.board.spring_security.controller;

import java.security.Principal;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ModelAttribute;

import com.board.spring_security.dto.Users;
import com.board.spring_security.service.UserService;

@ControllerAdvice
public class GlobalControllerAdvice {
    @Autowired
    private UserService userService;

    @ModelAttribute
    public void addCommonAttributes(Model model, Principal principal) throws Exception {
        String loginId = principal != null ? principal.getName() : null;

        Users user = userService.select(loginId);
        model.addAttribute("user", user);
    }
}
