package com.board.spring_security.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.board.spring_security.dto.Board;

@Mapper
public interface BoardMapper {

    // 게시글 목록
    public List<Board> list(@Param("offset") int offset, @Param("pageSize") int pageSize) throws Exception;
    // 게시글 조회
    public Board select(int boardNo) throws Exception;
    // 게시글 등록  
    public int insert(Board board) throws    Exception;
    // 게시글 수정
    public int update(Board board) throws Exception;
    // 게시글 삭제
    public int delete(int boardNo) throws Exception;
    // 조회수 증가
    public int updateviews(int boardNo) throws Exception;

    // 게시글 번호(기본키) 최댓값
    public int maxPk() throws Exception;

    public List<Board> getLatestboard() throws Exception;

    public List<Board> search(@Param("searchType") String searchType, @Param("keyword") String keyword, @Param("offset") int offset, @Param("pageSize") int pageSize) throws Exception; // 페이징 검색 메서드

    public int countTotalBoards(@Param("searchType") String searchType, @Param("keyword") String keyword) throws Exception; // 총 게시글 수 메서드
}