package com.board.spring_security.security;

import java.io.IOException;

import org.springframework.security.core.Authentication;
import org.springframework.security.core.userdetails.User;

// 로그인 성공 처리 클래스

import org.springframework.security.web.authentication.SavedRequestAwareAuthenticationSuccessHandler;

import jakarta.servlet.ServletException;
import jakarta.servlet.http.Cookie;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class LoginSuccessHandler extends SavedRequestAwareAuthenticationSuccessHandler {

    @Override
    public void onAuthenticationSuccess(HttpServletRequest request, 
                                        HttpServletResponse response,
                                        Authentication authentication) throws ServletException, IOException {
        log.info("로그인 인증 성공...");

        // 아이디 저장
        String rememberId = request.getParameter("remember-id");            // 아이디 저장 여부
        String username = request.getParameter("id");                       // 아이디
        log.info("rememberId : " + rememberId);
        log.info("id : " + username);

        // 아이디 저장 체크
        if(rememberId != null && rememberId.equals("on")){
            Cookie cookie = new Cookie("remember-id", username);            // 쿠키에 아이디 등록
            cookie.setMaxAge(60 * 60 * 24 * 7);                                  // 유효기간 7일
            cookie.setPath("/");
            response.addCookie(cookie);
        }

        // 아이디 저장 체크 X
        else{
            Cookie cookie = new Cookie("remember-id", username);            // 쿠키에 아이디 등록
            cookie.setMaxAge(0);                                          // 유효기간 7일
            cookie.setPath("/");
            response.addCookie(cookie);
        }

        // 인증된 사용자 정보 - (아이디, 패스워드)
        User user = (User) authentication.getPrincipal();

        log.info("아이디 : " + user.getUsername());
        log.info("비밀번호 : " + user.getPassword());       // 노출 X (보안)
        log.info("권한 : " + user.getAuthorities());

        super.onAuthenticationSuccess(request, response, authentication);
    }

}
