package com.board.spring_security.service;

import java.util.List;

import com.board.spring_security.dto.Board;

public interface BoardService {

    // 게시글 목록
    public List<Board> list(int page, int pageSize) throws Exception;
    // 게시글 조회
    public Board select(int boardNo) throws Exception;
    // 게시글 등록  
    public int insert(Board board) throws Exception;
    // 게시글 수정
    public int update(Board board) throws Exception;
    // 게시글 삭제
    public int delete(int boardNo) throws Exception;
    // 조회수 증가
    public int updateviews(int boardNo) throws Exception;

    public List<Board> getLatestboard() throws Exception;

    public List<Board> search(String searchType, String keyword, int page, int pageSize) throws Exception; // 페이징 검색 메서드

    public int countTotalBoards(String searchType, String keyword) throws Exception; // 총 게시글 수 메서드
}
