function populateDateOptions() {
  const currentYear = new Date().getFullYear();
  const yearSelects = document.querySelectorAll('#startYear, #endYear');
  const monthSelects = document.querySelectorAll('#startMonth, #endMonth');
  const daySelects = document.querySelectorAll('#startDay, #endDay');

  // 연도 옵션 추가
  yearSelects.forEach(select => {
      select.innerHTML = '<option value="" disabled selected>연도 선택</option>';
      for (let i = currentYear; i <= currentYear + 10; i++) {
          let option = document.createElement('option');
          option.value = i;
          option.textContent = i;
          select.appendChild(option);
      }
  });

  // 월 옵션 추가
  monthSelects.forEach(select => {
      select.innerHTML = '<option value="" disabled selected>월 선택</option>';
      for (let i = 1; i <= 12; i++) {
          let option = document.createElement('option');
          option.value = i;
          option.textContent = i;
          select.appendChild(option);
      }
  });

  // 일 옵션 추가 (각 월에 맞게 설정)
  function updateDayOptions(monthSelect, daySelect) {
      const month = parseInt(monthSelect.value);
      const year = parseInt(document.querySelector('#startYear').value || currentYear);
      let daysInMonth;
      daySelect.innerHTML = '<option value="" disabled selected>일 선택</option>';
      if (month === 2) { // 2월
          daysInMonth = (year % 4 === 0 && (year % 100 !== 0 || year % 400 === 0)) ? 29 : 28; // 윤년 계산
      } else if (month === 4 || month === 6 || month === 9 || month === 11) { // 30일인 달
          daysInMonth = 30;
      } else { // 31일인 달
          daysInMonth = 31;
      }

      
      for (let i = 1; i <= daysInMonth; i++) {
          let option = document.createElement('option');
          option.value = i;
          option.textContent = i;
          daySelect.appendChild(option);
      }
  }

  monthSelects.forEach(select => {
      select.addEventListener('change', function () {
          daySelects.forEach(daySelect => {
              updateDayOptions(select, daySelect);
          });
      });
  });

  // 초기화 시에 모든 일 옵션 설정
  monthSelects.forEach(monthSelect => {
      daySelects.forEach(daySelect => {
          updateDayOptions(monthSelect, daySelect);
      });
  });
}


  function populateRegionOptions() {
      const regionSelect = document.getElementById('region');
      const citySelect = document.getElementById('city');

      const regions = {
          "서울특별시": ["강남구", "서초구", "송파구", "강동구", "강서구", "관악구", "광진구", "구로구",
              "금천구", "노원구", "도봉구", "동대문구", "동작구", "마포구", "서대문구", "성동구", "성북구",
              "양천구", "영등포구", "용산구", "은평구", "종로구", "중구", "중랑구", "강북구"],

          "부산광역시": ["강서구", "금정구", "기장군", "남구", "동구", "부산진구", "북구", "사상구", "사하구",
              "서구", "수영구", "연제구", "영도구", "중구", "해운대구", "동래구"],

          "대구광역시": ["남구", "달서구", "동구", "북구", "서구", "수성구", "중구", "달성군"],

          "인천광역시": ["남동구", "부평구", "계양구", "미추홀구", "서구", "중구", "연수구", "송도구", "강화군", "옹진군"],

          "광주광역시": ["광산구", "서구", "남구", "동구", "북구"],

          "대전광역시": ["유성구", "서구", "대덕구", "중구", "동구"],

          "울산광역시": ["남구", "중구", "동구", "북구", "울주군"],

          "세종특별자치시": ["세종시"],
          "경기도": ["수원시", "성남시", "용인시", "고양시", "부천시", "안산시", "화성시", "남양주시", "평택시",
              "시흥시", "의정부시", "과천시", "광명시", "안양시", "구리시", "여주시", "파주시", "김포시", "양주시",
              "오산시", "동주천시", "의왕시", "하남시", "이천", "안성시", "과천시", "가평군", "양평군", "연천군", "포천군", "남양주군"],

          "강원도": ["춘천시", "원주시", "강릉시", "동해시", "동해시", "태백시", "속초시", "삼척시", "홍천시", "평창군",
              "정선군", "철원군", "고성군", "양구군", "인제군", "양양군", "가평군", "양평군", "횡성군", "영월군", "여주군"],

          "충청북도": ["청주시", "충주시", "제천시", "단양군", "괴산군", "음성군", "보은군", "진천군", "옥천군", "금산군", "증평군"],

          "충청남도": ["천안시", "공주시", "보령시", "아산시", "서산시", "논산시", "당진시", "홍성군", "예산군", "서천군",
              "청양군", "부여군", "금산군", "태안군"],

          "전라북도": ["전주시", "군산시", "익산시", "정읍시", "남원시", "김제시", "안주군", "무주군", "진안군", "장수군", "임실군",
              "순창군", "고창군", "부안군"],

          "전라남도": ["목포시", "여수시", "순천시", "나주시", "광양시", "담양군", "곡성군", "구례군", "고흥군", "보성군",
              "화순군", "장성군", "담양군", "영광군", "함평군", "신안군", "무안군", "영암군", "진도군", "완도군", "해남군",
              "강진군", "포천시"],

          "경상북도": ["포항시", "경주시", "구미시", "영천시", "상주시", "문경시", "안동시", "예천군", "칠곡군", "고령군", "성주군", "청도군",
              "경산시", "영양군", "봉화군", "울진군", "의성군", "청송군", "영던군", "울릉군"],

          "경상남도": ["창원시", "김해시", "진주시", "양산시", "밀양시", "사천시", "거제시", "통영시", "진해시", "의령군", "함안군", "창녕군",
              "고성군", "남해군", "산청군", "하동군", "합천군", "거창군"],

          "제주특별자치도": ["제주시", "서귀포시"]
      };

      // 도 선택 시 시/군 옵션 추가
      regionSelect.addEventListener('change', function () {
          const selectedRegion = this.value; // 여기서 정의
          citySelect.innerHTML = '<option value="" disabled selected>시/구/군 선택</option>'; // 초기화
          if (regions[selectedRegion]) {
              regions[selectedRegion].forEach(city => {
                  let option = document.createElement('option');
                  option.value = city;
                  option.textContent = city;
                  citySelect.appendChild(option);
              });
          }
      });
  }
  
  // 모달이 열릴 때마다 지역 옵션 초기화
  $('#business').on('shown.bs.modal', function () {
      populateRegionOptions();
  });

  // 날짜 옵션 초기화
  populateDateOptions();